# boost::numeric::ublas::mapped_vector< T, A >::const_iterator Class Reference

List of all members.

## Public Types

typedef mapped_vector::value_type | value_type
typedef mapped_vector::difference_type | difference_type
typedef mapped_vector::const_reference | reference
typedef const mapped_vector::pointer | pointer

## Public Member Functions

BOOST_UBLAS_INLINE | const_iterator (const self_type &v, const const_subiterator_type &it)
BOOST_UBLAS_INLINE | const_iterator (const typename self_type::iterator &it)
BOOST_UBLAS_INLINE const_iterator & | operator++ ()
BOOST_UBLAS_INLINE const_iterator & | operator-- ()
BOOST_UBLAS_INLINE const_reference | operator* () const
BOOST_UBLAS_INLINE size_type | index () const
BOOST_UBLAS_INLINE const_iterator & | operator= (const const_iterator &it)
BOOST_UBLAS_INLINE bool | operator== (const const_iterator &it) const

### template<class T, class A>
class boost::numeric::ublas::mapped_vector< T, A >::const_iterator